/* # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

Styling.css is used for styling the application and does not effect the sizing or scaling of 
the application. Any style can be used in here other than the ones listed in rubberband.css

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # */



/* Global elements */
html, body {
	font-family: verdana;
	background-color: #EEEEEE;
	background-image: url('../images/background.png');
}
h1,
h2,
h3,
h4,
h5,
h6 {
	border-bottom: 1px solid #EEEEEE;
	color: #2D70AA;
}
p {
	color: #707070;
	text-align: justify;
}


/* Core elements */
.clear {
	clear: both;
}


/* Header elements */
.header {
	background: #101010;
	text-align: left;
}
.header a {
	color: #FFFFFF;
	text-decoration: none;
}
.header .navigation li {
	color: #DDDDDD;
	background-color: #2D2C2A;
	text-align: center;
	border-radius: 4px;
}
.header .navigation li:hover {
	background-color: #2D70AA;
	cursor: pointer;
	color: #FFFFFF;
}
.header .navigation li .bubble {
	background-color: #2D70AA;
	font-weight: bold;
	border-radius: 200px;
	color: #FFFFFF;
}
.header .navigation li:hover .bubble {
	background-color: #2D2C2A;
	cursor: pointer;
	color: #DDDDDD;
}


/* Content elements */
.content {
	border: 1px solid #DDDDDD;
	background-color: #FFFFFF;
	border-radius: 5px;
}
.content .right {
	border-left: 1px solid #DDDDDD;
}


/* Subnavigation elements */
.subnavigation li a {
	color: #777777;
	text-decoration: none;
}
.subnavigation li:hover a {
	color: #FFFFFF;
	text-decoration: none;
}
.subnavigation li {
	list-style: none;
	border-radius: 3px;
}
.subnavigation .active {
	font-weight: bold;
	background: #2D70AA;
	border: 1px solid #2D70AA;
	color: #FFFFFF;
}
.subnavigation .active a {
	color: #FFFFFF;
}
.subnavigation .active:hover {
	font-weight: bold;
	background: #2D70AA;
	border: 1px solid #2D70AA;
	color: #FFFFFF;
}


/* Footer elements */
.footer {
	text-align: center;
	color: #AAAAAA;
}


/* Messagebox element */
.messagebox {
	border: 1px solid #EEEEEE;
	border-radius: 3px;
	font-weight: bold;
}
.icon {
	background-color: #DDDDDD;
	border-radius: 30px;
	font-weight: bold;
	color: #FFFFFF;
	text-align: center;
}
.error {
	border: 1px solid #B76161;
	background-color: #FFC9C9;
	color: #B76161;
}
.error .icon {
	background-color: #B76161
}
.information {
	border: 1px solid #95ABC9;
	background-color: #DDECFF;
	color: #95ABC9;
}
.information .icon {
	background-color: #95ABC9
}
.confirmation {
	border: 1px solid #9CBFA3;
	background-color: #EDFFF0;
	color: #9CBFA3;
}
.confirmation .icon {
	background-color: #9CBFA3
}
.warning {
	border: 1px solid #C9BE6A;
	background-color: #FFFAD8;
	color: #C9BE6A;
}
.warning .icon {
	background-color: #C9BE6A
}


/* Form elements */
.control_box {
	background-color: #F4F4F4;
	border-radius: 3px;
	text-align: right;
}

fieldset {
	border: 1px solid #CCCCCC;
	border-radius: 3px;
}
legend {
	font-weight: bold;
	color: #707070;
}
label {
	text-align: right;
}
input[type="text"],
input[type="file"],
input[type="password"] {
	border-radius: 3px;
	border: 1px solid #DDDDDD;
	outline: none;
}
select {
	border-radius: 3px;
	border: 1px solid #DDDDDD;
	outline: none;
}
textarea {
	border-radius: 3px;
	border: 1px solid #DDDDDD;
	outline: none;
	resize: vertical;
}
button,
input[type="button"],
input[type="submit"],
input[type="reset"] {
	border-radius: 3px;
	cursor: pointer;
}

.filter_chooser_button {
	border-radius: 3px;
	cursor: pointer;
	background-color: #DDDDDD;
	border: 1px solid #DDDDDD;
	color: #777777;
	text-align: center;
	box-sizing: border-box;
	padding: 5px 0 0 0;
}
input[type="text"]:focus,
input[type="password"]:focus,
select:focus,
textarea:focus {
	border:1px solid #186987;
}
input[readonly="readonly"] {
	background-color: #EEEEEE;
	color: #707070;
	border: 1px solid #DDDDDD;
}


/* Full Search */
.full_search input[type="text"] {
	border-radius: 3px;
	border: 0px solid #DDDDDD;
	outline: none;
	font-size: 24px;
	background-color: #F5F5F5;
	text-indent: 10px;
}
.full_search input[type="submit"] {
	border-radius: 3px;
	cursor: pointer;
	background-image: url('../images/search.png');
	background-position: center center;
	background-repeat: no-repeat;
}


/* Filtered Search */
.filter_search label {
	text-align: left;
}
.filter_search button {
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	border-top-right-radius: 0px;
	border-bottom-right-radius: 0px;
}
.filter_search input[type="submit"] {
	border-top-left-radius: 0px;
	border-bottom-left-radius: 0px;
	border-top-right-radius: 5px;
	border-bottom-right-radius: 5px;
}


/* Table elements */
.table_container {
	border: 1px solid #EEEEEE;
	border-radius: 3px;
}
table {
	border: 0;
}
thead td {
	background-color: #2D70AA;
	font-weight: bold;
	color: #FFFFFF;
}
thead td:first-child {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}
thead td:last-child {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}
thead th {
	text-align: left;
	background-color: #2D70AA;
	font-weight: bold;
	color: #FFFFFF;
}
thead th:first-child {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}
thead th:last-child {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}
tbody tr:hover td {
	color: #FFFFFF;
	background-color: #B3C9DB;
	cursor: pointer;
}
tbody tr:hover td a {
	color: #FFFFFF;
}
tbody td a{
text-decoration: none;
color: #808080;
}
tbody .one td {
	background-color: #EEEEEE;
}
tbody .odd td {
	background-color: #EEEEEE;
}
tbody td:first-child {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

tbody td:last-child {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}
tfoot td {
	background-color: #5494C9;
	font-weight: bold;
	color: #FFFFFF;
	padding: 0 5px;
}
tfoot td:first-child {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

tfoot td:last-child {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}

.tablesorter-headerAsc {
background-image: url('../images/sort_up.png');
	background-position: center right 5px;
	background-repeat: no-repeat;
}

.tablesorter-headerDesc {
background-image: url('../images/sort_down.png');
	background-position: center right 5px;
	background-repeat: no-repeat;
}
/* pager wrapper, div */
.tablesorter-pager {
  padding: 5px;
  text-align: center;
}
/* pager wrapper, in thead/tfoot */
td.tablesorter-pager {
  background-color: #e6eeee;
  margin: 0; /* needed for bootstrap .pager gets a 18px bottom margin */
}
/* pager navigation arrows */
.tablesorter-pager img {
  vertical-align: middle;
  margin-right: 2px;
  cursor: pointer;
}

/* pager output text */
.tablesorter-pager .pagedisplay {
  padding: 0 5px 0 5px;
  width: 50px;
  text-align: center;
}

/* pager element reset (needed for bootstrap) */
.tablesorter-pager select {
  margin: 0;
  padding: 0;
  width: 100px;
}

/*** css used when "updateArrows" option is true ***/
/* the pager itself gets a disabled class when the number of rows is less than the size */
.tablesorter-pager.disabled {
  display: none;
}
/* hide or fade out pager arrows when the first or last row is visible */
.tablesorter-pager .disabled {
  /* visibility: hidden */
  opacity: 0.5;
  filter: alpha(opacity=50);
  cursor: default;
}

/*Formatting elements */
.button_blue {
	background: #2D70AA;
	border: 1px solid #2D70AA;
	color: #FFFFFF;
}
.button_red {
	background: #BF3228;
	border: 1px solid #BF3228;
	color: #FFFFFF;
}
.button_yellow {
	background: #F4D41F;
	border: 1px solid #F4D41F;
	color: #726112;
}
.button_green {
	background: #25AA2A;
	color: #FFFFFF;
	border: 1px solid #25AA2A;
}

.button_grey {
	background: #DDDDDD;
	color: #777777;
	border: 1px solid #DDDDDD;
}
.button_hover_blue:hover {
	background: #598FB7;
	border: 1px solid #186987;
	color: #FFFFFF;
	cursor: pointer;
}
.button_hover_red:hover {
	background: #E0514A;
	border: 1px solid #A8291F;
	color: #FFFFFF;
	cursor: pointer;
}
.button_hover_yellow:hover {
	background: #FFE65B;
	border: 1px solid #BFA10B;
	color: #726112;
	cursor: pointer;
}
.button_hover_green:hover {
	background: #52C454;
	color: #FFFFFF;
	border: 1px solid #1B7C1E;
	cursor: pointer;
}

.button_hover_grey:hover {
	background: #EEEEEE;
	color: #777777;
	border: 1px solid #DDDDDD;
	cursor: pointer;
}
.text_blue {
	color: #2D70AA;
}
.text_green {
	color: #25AA2A;
}
.text_red {
	color: #BF3228;
}
.text_yellow {
	color: #726112;
}
.text_grey {
	color: #DDDDDD;
}
.text_bold {
	font-weight: bold;
}
.text_underline {
	text-decoration: underline;
}
.text_italic {
	font-style: italic;
}


/* Dashboard Buttons */
.dashboard_button_one,
.dashboard_button_two,
.dashboard_button_three {
	border: 1px solid #FFFFFF;
	border-radius: 5px;
	text-align: center;
}
/*
.big_buttons_two a, .big_buttons_three a {
	color: #707070;
	text-decoration: none;
}
.big_buttons_two:hover a, .big_buttons_three:hover a {
	color: #FFFFFF;
	text-decoration: none;
}*/

.pager {
	display: none;
}
.content_loader {
	height: 50px;
	width: 200px;
	background-image: url("../images/loading.gif");
	background-position: center center;
	box-sizing: border-box;
	padding: 50px 0 0 0;
	text-align: center;
	margin: 20px auto 50px auto;
}

.pagination_container {
	text-align: center;
}

.pagination_button {
	display: inline-block;
	background-color: #DDDDDD;
	border-radius: 2px;
	width: 30px;
	height: 20px;
	padding: 4px 0 0 0;
	text-align: center;
	margin: 5px;
}
.pagination_button a {
	color: inherit;
	text-decoration: none;
}
.pagination_current {
	background-color: #2D70AA !important;
	font-weight: bold;
	color: #FFFFFF;
}
.pagination_main_nav {
	background-color: #598FB7 !important;
	font-weight: bold;
	color: #FFFFFF;
}
.pagination_current_main_nav {
	background-color: #2D70AA !important;
	font-weight: bold;
	color: #FFFFFF;
}
